# Get-RASAgentDiagnostic

### NAME

Get-RASAgentDiagnostic\ <br>

### SYNOPSIS

Retrieves RAS Agent Diagnostic information.\ <br>

### SYNTAX

Get-RASAgentDiagnostic -[AgentDiagnosticType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAgentDiagnostic.html#AgentDiagnosticType) {RDS | Provider | Gateway | Guest | Broker | PA | HALBDevice | EnrollmentServer} -[Server](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAgentDiagnostic.html#Server) *\<string>* \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAgentDiagnostic.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAgentDiagnostic.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves the diagnostic information about the RAS Agent installed on a specific server, for diagnostic purposes, with a specific type, such as\
\
RD Session Host, Provider, Gateway, Guest, Broker, HALB Device.\ <br>

### PARAMETERS

\
-**Server \<string>**\
The name of server from which to retrieve Agent information.\
\
This must be the actual server name used in the RAS farm.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the specified Agent information.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AgentDiagnosticType <**[**RASAgentDiagnosticType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASAgentDiagnosticType.html)**>**\
Specifies the server type for which to retrieve the information.\
\
Possible values: RDS, Provider, Gateway, Guest, Broker, PA, HALBDevice, EnrollmentServer\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[BrokerAgentDiagnostic](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/BrokerAgentDiagnostic.html)[EnrollmentServerAgentDiagnostic](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/EnrollmentServerAgentDiagnostic.html)[GatewayAgentDiagnostic](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/GatewayAgentDiagnostic.html)[GuestAgentDiagnostic](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/GuestAgentDiagnostic.html)[HALBDeviceAgentDiagnostic](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/HALBDeviceAgentDiagnostic.html)[ProviderAgentDiagnostic](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ProviderAgentDiagnostic.html)[RDSAgentDiagnostic](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSAgentDiagnostic.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASAgentDiagnostic -Server test.domain -ServerType RDS\
\
Retrieves the information about the RDS Agent installed on the server 'test.domain'.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASAgentDiagnostic -Server test.domain -ServerType Provider\
\
Retrieves the information about the Provider Agent installed on the server 'test.domain'.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasagentdiagnostic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
